
def find_random_links(html_content, tag_name="a", attribute_name="href"):
    from bs4 import BeautifulSoup
    soup = BeautifulSoup(html_content, 'html.parser')
    links = soup.find_all(tag_name, attrs={attribute_name: lambda x: x and x.startswith("http")})
    return [link.get(attribute_name) for link in links]



